#========================================================================================
# package      DE_EPAGES::GoogleBase::API::Constants
# state        public
#----------------------------------------------------------------------------------------
# description  This is the place for common GoogleBase values and constants.
#========================================================================================
package DE_EPAGES::GoogleBase::API::Constants;
use base Exporter;

use strict;

our @EXPORT_OK = qw (
                     $SUPPORTED_LOCAL_IDS
                     $ALLOWED_AMOUNTS
                     $ALLOWED_EXCEPTIONS_KG_VALUES
                     $ALLOWED_EXCEPTION_ML_VALUES
                     $GOOGLE_VALID_UNIT_TYPES
                     $GOOGLE_VALID_UNIT_CODES
                     $GOOGLE_VALID_AREA_UNIT
                     $GOOGLE_VALID_LENGTH_UNIT
                     $GOOGLE_VALID_VOLUME_UNIT
                     $GOOGLE_VALID_WEIGHT_UNIT
                     GOOGLE_DECIMAL_DIGITS
                     GOOGLE_DECIMAL_FILL
                     );

our $SUPPORTED_LOCAL_IDS = [qw (
    en_US
    de_DE
    en_GB
    fr_FR
    it_IT
    es_ES
    nl_NL
    en_AU
    pt_PT
    sv_SE
    fi_FI
    fr_BE
    nl_BE
    nl_NL
    es_MX
    en_CA
    fr_CA
)];


our $ALLOWED_AMOUNTS = [qw( 1 10 100 )];
our $ALLOWED_EXCEPTIONS_KG_VALUES = [qw( 50 1000 )];
our $ALLOWED_EXCEPTION_ML_VALUES = [qw( 750 )];
our $GOOGLE_VALID_UNIT_TYPES = [qw( length mass volume area )];
our $GOOGLE_VALID_AREA_UNIT = [qw( MTK )];
our $GOOGLE_VALID_LENGTH_UNIT = [qw( MTR CMT )];
our $GOOGLE_VALID_VOLUME_UNIT = [qw( LTR MTQ MLT )];
our $GOOGLE_VALID_WEIGHT_UNIT = [qw( GRM KGM MGM )];
our $GOOGLE_VALID_UNIT_CODES = [qw( GRM KGM MGM LTR MTQ MLT MTR CMT MTK )];

use constant GOOGLE_DECIMAL_DIGITS => 2;
use constant GOOGLE_DECIMAL_FILL => 1;